Bug 1657376 - [xfstests generic/084] _check_generic_filesystem: filesystem on /dev/sda3 is inconsistent
Summary: [xfstests generic/084] _check_generic_filesystem: filesystem on /dev/sda3 is ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 19:59 UTC by Rachel Sibley
Modified: 2019-02-21 21:12 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:12:29 UTC


Attachments (Terms of Use)

Description Rachel Sibley 2018-12-07 19:59:42 UTC
Description of problem:

Running test generic/078 results in failure/data corruption, seen on x86_64 arch

#! /bin/bash
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2014 Miklos Szeredi.  All Rights Reserved.
#
# FS QA Test No. generic/078
#
# Check renameat2 syscall with RENAME_WHITEOUT flag
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
FSTYP         -- ext4
PLATFORM      -- Linux/x86_64 nec-em24-1 4.20.0-rc1.skt
MKFS_OPTIONS  -- /dev/sda3
MOUNT_OPTIONS -- -o acl,user_xattr -o context=system_u:object_r:nfs_t:s0 /dev/sda3 /mnt/xfstests/mnt2

generic/078	logger: socket /dev/log: No such file or directory
 1s
Ran: generic/078
Passed all 1 tests

Running test generic/084
#! /bin/bash
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2015 Red Hat Inc.  All Rights Reserved.
#
# FS QA Test No. 084
#
# Test hardlink to unlinked file.
#
# Regression test for commit:
# aae8a97 fs: Don't allow to create hardlink for deleted file
FSTYP         -- ext4
PLATFORM      -- Linux/x86_64 nec-em24-1 4.20.0-rc1.skt
MKFS_OPTIONS  -- /dev/sda3
MOUNT_OPTIONS -- -o acl,user_xattr -o context=system_u:object_r:nfs_t:s0 /dev/sda3 /mnt/xfstests/mnt2

generic/084	logger: socket /dev/log: No such file or directory
umount: /mnt/xfstests/mnt2: target is busy.
_check_generic_filesystem: filesystem on /dev/sda3 is inconsistent
(see /var/lib/xfstests/results//generic/084.full for details)

Version-Release number of selected component (if applicable):
Kernel repo: git://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git +
Commit: 9167f0dcc523 scsi: xen-scsifront: mark expected switch fall-through

How reproducible:
Unknown

Steps to Reproduce:
1. Run xfstests generic/084
2.
3.

Actual results:
fail

Expected results:
pass

Additional info:

Comment 1 Justin M. Forbes 2019-01-29 16:24:58 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2019-02-21 21:12:29 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.